Loading...
Searching...
No Matches
raptor::output_directory_validator Class Reference

## Public Types

using | option_value_type = std::string

## Public Member Functions

std::string | get_help_page_message () const
void | operator() (option_value_type const &value) const
output_directory_validator & | operator= (output_directory_validator &&)=default
output_directory_validator & | operator= (output_directory_validator const &)=default
| output_directory_validator (output_directory_validator &&)=default
| output_directory_validator (output_directory_validator const &)=default

## Private Attributes

sharg::output_directory_validator | validator {}

The documentation for this class was generated from the following file:

- validators.hpp